net.snowflake.client.core

## Class SFBaseResultSet

- java.lang.Object
- - net.snowflake.client.core.SFBaseResultSet

Direct Known Subclasses:
  SFFixedViewResultSet, SFResultSet

    public abstract class SFBaseResultSet
    extends Object

Base class for query result set and metadata result set

Author:
  jhuang

### Field Summary

Fields
`protected net.snowflake.common.core.SFBinaryFormat` `binaryFormatter`
`protected net.snowflake.common.core.SnowflakeDateTimeFormat` `dateFormatter`
`protected boolean` `honorClientTZForTimestampNTZ`
`protected boolean` `isClosed`
`protected int` `numberOfBinds`
`protected Map<String,Object>` `parameters`
`protected SFResultSetMetaData` `resultSetMetaData`
`protected long` `resultVersion`
`protected int` `row`
`protected SFSession` `session`
`protected net.snowflake.common.core.SnowflakeDateTimeFormat` `timeFormatter`
`protected net.snowflake.common.core.SnowflakeDateTimeFormat` `timestampLTZFormatter`
`protected net.snowflake.common.core.SnowflakeDateTimeFormat` `timestampNTZFormatter`
`protected net.snowflake.common.core.SnowflakeDateTimeFormat` `timestampTZFormatter`
`protected TimeZone` `timeZone`
`protected boolean` `wasNull`

### Constructor Summary

Constructors
Constructor and Description
`SFBaseResultSet()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`boolean` `absolute(int row)`
`void` `close()`
`BigDecimal` `getBigDecimal(int columnIndex)`
`BigDecimal` `getBigDecimal(int columnIndex, int scale)`
`boolean` `getBoolean(int columnIndex)`
`byte[]` `getBytes(int columnIndex)`
`Date` `getDate(int columnIndex)`
`Date` `getDate(int columnIndex, TimeZone tz)`
`double` `getDouble(int columnIndex)`
`float` `getFloat(int columnIndex)`
`int` `getInt(int columnIndex)`
`long` `getLong(int columnIndex)`
`SFResultSetMetaData` `getMetaData()`
`protected int` `getNumberOfBinds()`
`Object` `getObject(int columnIndex)`
`protected abstract Object` `getObjectInternal(int columnIndex)`
`int` `getRow()`
`short` `getShort(int columnIndex)`
`abstract SFStatementType` `getStatementType()`
`String` `getString(int columnIndex)`
`Time` `getTime(int columnIndex)`
`Timestamp` `getTimestamp(int columnIndex, TimeZone tz)`
`boolean` `isArrayBindSupported()`
`boolean` `isClosed()`
`boolean` `isFirst()`
`boolean` `next()`
`boolean` `previous()`
`boolean` `relative(int rows)`
`void` `setSession(SFSession session)`
`boolean` `wasNull()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### wasNull

    protected boolean wasNull

#### resultSetMetaData

    protected SFResultSetMetaData resultSetMetaData

#### row

    protected int row

#### parameters

    protected Map<String,Object> parameters

#### timeZone

    protected TimeZone timeZone

#### timestampNTZFormatter

    protected net.snowflake.common.core.SnowflakeDateTimeFormat timestampNTZFormatter

#### timestampLTZFormatter

    protected net.snowflake.common.core.SnowflakeDateTimeFormat timestampLTZFormatter

#### timestampTZFormatter

    protected net.snowflake.common.core.SnowflakeDateTimeFormat timestampTZFormatter

#### dateFormatter

    protected net.snowflake.common.core.SnowflakeDateTimeFormat dateFormatter

#### timeFormatter

    protected net.snowflake.common.core.SnowflakeDateTimeFormat timeFormatter

#### honorClientTZForTimestampNTZ

    protected boolean honorClientTZForTimestampNTZ

#### binaryFormatter

    protected net.snowflake.common.core.SFBinaryFormat binaryFormatter

#### resultVersion

    protected long resultVersion

#### numberOfBinds

    protected int numberOfBinds

#### session

    protected SFSession session

#### isClosed

    protected boolean isClosed

### Constructor Detail

#### SFBaseResultSet

    public SFBaseResultSet()

### Method Detail

#### setSession

    public void setSession(SFSession session)

#### next

    public boolean next()
                 throws SFException,
                        SnowflakeSQLException

Throws:
  `SFException`
  `SnowflakeSQLException`

#### close

    public void close()

#### wasNull

    public boolean wasNull()

#### getString

    public String getString(int columnIndex)
                     throws SFException

Throws:
  `SFException`

#### getBoolean

    public boolean getBoolean(int columnIndex)
                       throws SFException

Throws:
  `SFException`

#### getShort

    public short getShort(int columnIndex)
                   throws SFException

Throws:
  `SFException`

#### getInt

    public int getInt(int columnIndex)
               throws SFException

Throws:
  `SFException`

#### getLong

    public long getLong(int columnIndex)
                 throws SFException

Throws:
  `SFException`

#### getFloat

    public float getFloat(int columnIndex)
                   throws SFException

Throws:
  `SFException`

#### getDouble

    public double getDouble(int columnIndex)
                     throws SFException

Throws:
  `SFException`

#### getBytes

    public byte[] getBytes(int columnIndex)
                    throws SFException

Throws:
  `SFException`

#### getDate

    public Date getDate(int columnIndex,
                        TimeZone tz)
                 throws SFException

Throws:
  `SFException`

#### getDate

    public Date getDate(int columnIndex)
                 throws SFException

Throws:
  `SFException`

#### getTime

    public Time getTime(int columnIndex)
                 throws SFException

Throws:
  `SFException`

#### getTimestamp

    public Timestamp getTimestamp(int columnIndex,
                                  TimeZone tz)
                           throws SFException

Throws:
  `SFException`

#### getMetaData

    public SFResultSetMetaData getMetaData()
                                    throws SFException

Throws:
  `SFException`

#### getObjectInternal

    protected abstract Object getObjectInternal(int columnIndex)
                                         throws SFException

Throws:
  `SFException`

#### getObject

    public Object getObject(int columnIndex)
                     throws SFException

Throws:
  `SFException`

#### getBigDecimal

    public BigDecimal getBigDecimal(int columnIndex)
                             throws SFException

Throws:
  `SFException`

#### getBigDecimal

    public BigDecimal getBigDecimal(int columnIndex,
                                    int scale)
                             throws SFException

Throws:
  `SFException`

#### getRow

    public int getRow()
               throws SQLException

Throws:
  `SQLException`

#### absolute

    public boolean absolute(int row)
                     throws SFException

Throws:
  `SFException`

#### relative

    public boolean relative(int rows)
                     throws SFException

Throws:
  `SFException`

#### previous

    public boolean previous()
                     throws SFException

Throws:
  `SFException`

#### getNumberOfBinds

    protected int getNumberOfBinds()

#### isFirst

    public boolean isFirst()

#### getStatementType

    public abstract SFStatementType getStatementType()

#### isClosed

    public boolean isClosed()

#### isArrayBindSupported

    public boolean isArrayBindSupported()